<?xml version='1.0' encoding='UTF-8' standalone='yes' ?>
<tagfile>
  <compound kind="class">
    <name>AvailableStatStrategy</name>
    <filename>classAvailableStatStrategy.html</filename>
    <base>NCPkgStatusStrategy</base>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>setObjectStatus</name>
      <anchorfile>classAvailableStatStrategy.html</anchorfile>
      <anchor>ae792c42b9bd1dd45d09626d9db98013a</anchor>
      <arglist>(ZyppStatus newstatus, ZyppSel slbPtr, ZyppObj objPtr)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual ZyppStatus</type>
      <name>getPackageStatus</name>
      <anchorfile>classNCPkgStatusStrategy.html</anchorfile>
      <anchor>a987180e7244c930369da847982c82e9f</anchor>
      <arglist>(ZyppSel slbPtr, ZyppObj objPtr)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>keyToStatus</name>
      <anchorfile>classNCPkgStatusStrategy.html</anchorfile>
      <anchor>a2f2340eafc3f8f64f7007f24f5a73352</anchor>
      <arglist>(const int &amp;key, ZyppSel slbPtr, ZyppObj objPtr, ZyppStatus &amp;newStat)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>toggleStatus</name>
      <anchorfile>classNCPkgStatusStrategy.html</anchorfile>
      <anchor>a356631c42d5042d1905a482fc2e90190</anchor>
      <arglist>(ZyppSel slbPtr, ZyppObj objPtr, ZyppStatus &amp;newStat)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>solveResolvableCollections</name>
      <anchorfile>classNCPkgStatusStrategy.html</anchorfile>
      <anchor>a2727773c0d57213dd5e0794f9b82a6b2</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>DependencyStatStrategy</name>
    <filename>classDependencyStatStrategy.html</filename>
    <base>NCPkgStatusStrategy</base>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>setObjectStatus</name>
      <anchorfile>classNCPkgStatusStrategy.html</anchorfile>
      <anchor>a2ae5d817a55a3d4fa0bf80261667053a</anchor>
      <arglist>(ZyppStatus newstatus, ZyppSel slbPtr, ZyppObj objPtr)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>MultiVersionStatStrategy</name>
    <filename>classMultiVersionStatStrategy.html</filename>
    <base>NCPkgStatusStrategy</base>
    <member kind="function" virtualness="virtual">
      <type>virtual ZyppStatus</type>
      <name>getPackageStatus</name>
      <anchorfile>classMultiVersionStatStrategy.html</anchorfile>
      <anchor>a3530023f7313a922990b6b4b63f6f888</anchor>
      <arglist>(ZyppSel slbPtr, ZyppObj objPtr)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>setObjectStatus</name>
      <anchorfile>classMultiVersionStatStrategy.html</anchorfile>
      <anchor>a69313500feebdad9d3f92d2810c9afc6</anchor>
      <arglist>(ZyppStatus newstatus, ZyppSel slbPtr, ZyppObj objPtr)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>NCPackageSelector</name>
    <filename>classNCPackageSelector.html</filename>
    <member kind="function">
      <type></type>
      <name>NCPackageSelector</name>
      <anchorfile>classNCPackageSelector.html</anchorfile>
      <anchor>a38ff7eb806bf886f76f3deaf5e022c22</anchor>
      <arglist>(long modeFlags)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~NCPackageSelector</name>
      <anchorfile>classNCPackageSelector.html</anchorfile>
      <anchor>ad51a92801fc3536e154f1aa5c1da9140</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>createPkgLayout</name>
      <anchorfile>classNCPackageSelector.html</anchorfile>
      <anchor>ad72cb8da3790010e1f9c24a7bf345eca</anchor>
      <arglist>(YWidget *parent, NCPkgTable::NCPkgTableType type)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>createYouLayout</name>
      <anchorfile>classNCPackageSelector.html</anchorfile>
      <anchor>a26e0684d5d60157558fce0846e1c7b5f</anchor>
      <arglist>(YWidget *parent)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>fillPatchList</name>
      <anchorfile>classNCPackageSelector.html</anchorfile>
      <anchor>a5d177481b1d307ebbb5ac64cb5f7285c</anchor>
      <arglist>(NCPkgMenuFilter::PatchFilter filter)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>fillUpdateList</name>
      <anchorfile>classNCPackageSelector.html</anchorfile>
      <anchor>a16a22c0127df7a1af3f134964b7e9277</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>fillPatchPackages</name>
      <anchorfile>classNCPackageSelector.html</anchorfile>
      <anchor>a34d011c95438671f2e2cc9ff59f090cf</anchor>
      <arglist>(NCPkgTable *pkgTable, ZyppObj youPatch)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>fillPatchSearchList</name>
      <anchorfile>classNCPackageSelector.html</anchorfile>
      <anchor>aef54f1f07e1f11d74714444d6d088dcc</anchor>
      <arglist>(const std::string &amp;expr, bool checkName, bool checkSum)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>fillDefaultList</name>
      <anchorfile>classNCPackageSelector.html</anchorfile>
      <anchor>a1b6589c62b5a34885a15b387d3b4b26c</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>handleEvent</name>
      <anchorfile>classNCPackageSelector.html</anchorfile>
      <anchor>ab5ab1544c16054cd9afcecdf8e97ee9e</anchor>
      <arglist>(const NCursesEvent &amp;event)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>showPatchPkgVersions</name>
      <anchorfile>classNCPackageSelector.html</anchorfile>
      <anchor>a21df65cb9e9417dd24bf4ebe4fe400e6</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>showPatchPackages</name>
      <anchorfile>classNCPackageSelector.html</anchorfile>
      <anchor>aafd10714b268ce61d04c47f3982d34a7</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>showVersionsList</name>
      <anchorfile>classNCPackageSelector.html</anchorfile>
      <anchor>acccfbfe3eea5bba94038a2fedd35b0cc</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>showInformation</name>
      <anchorfile>classNCPackageSelector.html</anchorfile>
      <anchor>a0d8bd7c1f4dfff15b387e53f5961989d</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>OkButtonHandler</name>
      <anchorfile>classNCPackageSelector.html</anchorfile>
      <anchor>ae405c30c10adea2bb48baeedc1d74fa7</anchor>
      <arglist>(const NCursesEvent &amp;event)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>CancelHandler</name>
      <anchorfile>classNCPackageSelector.html</anchorfile>
      <anchor>a7ed0bd3c662196c3bc7dc99a9213c89e</anchor>
      <arglist>(const NCursesEvent &amp;event)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>LinkHandler</name>
      <anchorfile>classNCPackageSelector.html</anchorfile>
      <anchor>a4a2dd2b461111d447d407d7d268de562</anchor>
      <arglist>(std::string link)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>showPackageDependencies</name>
      <anchorfile>classNCPackageSelector.html</anchorfile>
      <anchor>a5f64891726dad473f3c92c6d0c79c170</anchor>
      <arglist>(bool doit)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>showSelectionDependencies</name>
      <anchorfile>classNCPackageSelector.html</anchorfile>
      <anchor>a0c7b0a8cb538b532da679fdf026f51af</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>updatePackageList</name>
      <anchorfile>classNCPackageSelector.html</anchorfile>
      <anchor>a769feb6d78c0469447d84bd03fae352a</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>checkPatch</name>
      <anchorfile>classNCPackageSelector.html</anchorfile>
      <anchor>ae810b106ac3895e4cdc5c71b8fb5c484</anchor>
      <arglist>(ZyppPatch patch, ZyppSel selectable, NCPkgMenuFilter::PatchFilter filter)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>showLicensePopup</name>
      <anchorfile>classNCPackageSelector.html</anchorfile>
      <anchor>aa94c0d4e240fde030a2100b2e913dadb</anchor>
      <arglist>(std::string pkgName, std::string license)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>showDiskSpace</name>
      <anchorfile>classNCPackageSelector.html</anchorfile>
      <anchor>a7661af1c086b2c40b2c3258f4bc344f7</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>showDownloadSize</name>
      <anchorfile>classNCPackageSelector.html</anchorfile>
      <anchor>a69a383c253afd458777cfa703fbf57ec</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>saveState</name>
      <anchorfile>classNCPackageSelector.html</anchorfile>
      <anchor>a87e601f54d9388a9a7984d1731189338</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>showPendingLicenseAgreements</name>
      <anchorfile>classNCPackageSelector.html</anchorfile>
      <anchor>a22c974cb2080e6775ce0c67560103484</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>showLicenseAgreement</name>
      <anchorfile>classNCPackageSelector.html</anchorfile>
      <anchor>acacbf7de731f4c28dc1776fb791eae0e</anchor>
      <arglist>(ZyppSel &amp;slbPtr, std::string licenseText)</arglist>
    </member>
    <member kind="function">
      <type>std::set&lt; std::string &gt;</type>
      <name>getVerifiedPkgs</name>
      <anchorfile>classNCPackageSelector.html</anchorfile>
      <anchor>a2793f60f2a09f4095a254285c299d3ed</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>insertVerifiedPkg</name>
      <anchorfile>classNCPackageSelector.html</anchorfile>
      <anchor>a9df69c9c1b36f94152c1fd09d63c9986</anchor>
      <arglist>(std::string pkgname)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>clearVerifiedPkgs</name>
      <anchorfile>classNCPackageSelector.html</anchorfile>
      <anchor>aa00927810797a3245dc7a1028111dcd4</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>NCPackageSelectorPluginImpl</name>
    <filename>classNCPackageSelectorPluginImpl.html</filename>
  </compound>
  <compound kind="class">
    <name>NCPackageSelectorStart</name>
    <filename>classNCPackageSelectorStart.html</filename>
    <member kind="function">
      <type></type>
      <name>NCPackageSelectorStart</name>
      <anchorfile>classNCPackageSelectorStart.html</anchorfile>
      <anchor>ab2bc1c6fbd3591518b58fb19d1366254</anchor>
      <arglist>(YWidget *parent, long modeFlags, YUIDimension dimension)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~NCPackageSelectorStart</name>
      <anchorfile>classNCPackageSelectorStart.html</anchorfile>
      <anchor>ad4d5eb282fd1bdf093cb1ea84d6b01ef</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>setSize</name>
      <anchorfile>classNCPackageSelectorStart.html</anchorfile>
      <anchor>a328b028c2cfca7c6aaaba3faae6fc7a5</anchor>
      <arglist>(int newWidth, int newHeight)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>showDefaultList</name>
      <anchorfile>classNCPackageSelectorStart.html</anchorfile>
      <anchor>a47bd7343ad8a318bbdd7bf9624dc7196</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>handleEvent</name>
      <anchorfile>classNCPackageSelectorStart.html</anchorfile>
      <anchor>ab5025b938ea7d517bceb950d99fc8c1c</anchor>
      <arglist>(const NCursesEvent &amp;event)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>NCPkgDiskspace</name>
    <filename>classNCPkgDiskspace.html</filename>
  </compound>
  <compound kind="class">
    <name>NCPkgFilterClassification</name>
    <filename>classNCPkgFilterClassification.html</filename>
    <member kind="function">
      <type></type>
      <name>NCPkgFilterClassification</name>
      <anchorfile>classNCPkgFilterClassification.html</anchorfile>
      <anchor>a6b0a62ceb33302c6dcd372b249f497d5</anchor>
      <arglist>(YWidget *parent, NCPackageSelector *pkg)</arglist>
    </member>
    <member kind="function">
      <type>YItem *</type>
      <name>getCurrentGroup</name>
      <anchorfile>classNCPkgFilterClassification.html</anchorfile>
      <anchor>ad7919e5f5f087826c2f1c399b3db310a</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>showPackages</name>
      <anchorfile>classNCPkgFilterClassification.html</anchorfile>
      <anchor>a9d775eb3193c33e6d2f3d2db041a15b6</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>NCPkgFilterInstSummary</name>
    <filename>classNCPkgFilterInstSummary.html</filename>
  </compound>
  <compound kind="class">
    <name>NCPkgFilterMain</name>
    <filename>classNCPkgFilterMain.html</filename>
  </compound>
  <compound kind="class">
    <name>NCPkgFilterPattern</name>
    <filename>classNCPkgFilterPattern.html</filename>
    <base>NCPkgTable</base>
    <member kind="function">
      <type>bool</type>
      <name>fillPatternList</name>
      <anchorfile>classNCPkgFilterPattern.html</anchorfile>
      <anchor>a91e8a8d78d0cfa0a15495b24b3bfa781</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>showPatternPackages</name>
      <anchorfile>classNCPkgFilterPattern.html</anchorfile>
      <anchor>ac9e0edfe3e78152668aa92971a7424f2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>NCPkgTable</name>
      <anchorfile>classNCPkgTable.html</anchorfile>
      <anchor>a7707634b45c5536d1de47e1e00b9b9ec</anchor>
      <arglist>(YWidget *parent, YTableHeader *tableHeader)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>addLine</name>
      <anchorfile>classNCPkgTable.html</anchorfile>
      <anchor>a95f21a49bfbd0b9f6eb54bf39325ef56</anchor>
      <arglist>(ZyppStatus status, const std::vector&lt; std::string &gt; &amp;elements, ZyppObj objPtr, ZyppSel slbPtr)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>drawList</name>
      <anchorfile>classNCPkgTable.html</anchorfile>
      <anchor>a09de37b7858dbcb7e6166ddda183fb61</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>itemsCleared</name>
      <anchorfile>classNCPkgTable.html</anchorfile>
      <anchor>ac566f2d5593912fedb8e998335c5b378</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>cellChanged</name>
      <anchorfile>classNCPkgTable.html</anchorfile>
      <anchor>a78d18e4bbabcad3d4786d469ebd6aaeb</anchor>
      <arglist>(int index, int colnum, const std::string &amp;newtext)</arglist>
    </member>
    <member kind="function">
      <type>NClabel</type>
      <name>getCellContents</name>
      <anchorfile>classNCPkgTable.html</anchorfile>
      <anchor>aac360d6534eb04a08ac22d03cf408c2c</anchor>
      <arglist>(int index, int colnum)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setPackager</name>
      <anchorfile>classNCPkgTable.html</anchorfile>
      <anchor>a42e574521a12ba6fdc62b7762f392ecd</anchor>
      <arglist>(NCPackageSelector *pkg)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>changeStatus</name>
      <anchorfile>classNCPkgTable.html</anchorfile>
      <anchor>a83365e2d4a97104bbe68251073709e56</anchor>
      <arglist>(ZyppStatus newstat, const ZyppSel &amp;slbPtr, ZyppObj objPtr, bool singleChange)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>updateTable</name>
      <anchorfile>classNCPkgTable.html</anchorfile>
      <anchor>ac7cba88e432a9bfd4600deb265440fbd</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>ZyppStatus</type>
      <name>getStatus</name>
      <anchorfile>classNCPkgTable.html</anchorfile>
      <anchor>a0c62f4a9e7f8542c1349d80f1f41a052</anchor>
      <arglist>(int index)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>setTableType</name>
      <anchorfile>classNCPkgTable.html</anchorfile>
      <anchor>a701c0ce59152e7eda11657857940b25a</anchor>
      <arglist>(NCPkgTableType type, NCPkgStatusStrategy *strategy)</arglist>
    </member>
    <member kind="function">
      <type>ZyppObj</type>
      <name>getDataPointer</name>
      <anchorfile>classNCPkgTable.html</anchorfile>
      <anchor>a19b8d73feda6fbcbd575c786c6d099ec</anchor>
      <arglist>(int index)</arglist>
    </member>
    <member kind="function">
      <type>ZyppSel</type>
      <name>getSelPointer</name>
      <anchorfile>classNCPkgTable.html</anchorfile>
      <anchor>ac680d447f38773cd085214715b755740</anchor>
      <arglist>(int index)</arglist>
    </member>
    <member kind="function">
      <type>unsigned int</type>
      <name>getNumLines</name>
      <anchorfile>classNCPkgTable.html</anchorfile>
      <anchor>a27c1ac17271511e6a824b407ad811095</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>fillHeader</name>
      <anchorfile>classNCPkgTable.html</anchorfile>
      <anchor>af157b33ed1bcbe0b3c27aeaacdae1134</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>createListEntry</name>
      <anchorfile>classNCPkgTable.html</anchorfile>
      <anchor>ab594a5157aed895cf3d2f38933532d7b</anchor>
      <arglist>(ZyppPkg pkgPtr, ZyppSel slbPtr)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>createPatchEntry</name>
      <anchorfile>classNCPkgTable.html</anchorfile>
      <anchor>a83fcd8c2dd49dec8f487c12b72a89835</anchor>
      <arglist>(ZyppPatch pkgPtr, ZyppSel slbPtr)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>createInfoEntry</name>
      <anchorfile>classNCPkgTable.html</anchorfile>
      <anchor>a5af6a2e4cc371868ac6ba9d74e283107</anchor>
      <arglist>(std::string text)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>showInformation</name>
      <anchorfile>classNCPkgTable.html</anchorfile>
      <anchor>a0872098c2c8e09a8c3ee6a1bf0c1564b</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual NCursesEvent</type>
      <name>wHandleInput</name>
      <anchorfile>classNCPkgFilterPattern.html</anchorfile>
      <anchor>a78fa430170d7b7e40de23a472ca7a337</anchor>
      <arglist>(wint_t ch)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>NCPkgFilterRPMGroups</name>
    <filename>classNCPkgFilterRPMGroups.html</filename>
  </compound>
  <compound kind="class">
    <name>NCPkgFilterSearch</name>
    <filename>classNCPkgFilterSearch.html</filename>
  </compound>
  <compound kind="class">
    <name>NCPkgLocaleTable</name>
    <filename>classNCPkgLocaleTable.html</filename>
  </compound>
  <compound kind="class">
    <name>NCPkgLocaleTag</name>
    <filename>classNCPkgLocaleTag.html</filename>
  </compound>
  <compound kind="class">
    <name>NCPkgMenuAction</name>
    <filename>classNCPkgMenuAction.html</filename>
  </compound>
  <compound kind="class">
    <name>NCPkgMenuConfig</name>
    <filename>classNCPkgMenuConfig.html</filename>
  </compound>
  <compound kind="class">
    <name>NCPkgMenuDeps</name>
    <filename>classNCPkgMenuDeps.html</filename>
  </compound>
  <compound kind="class">
    <name>NCPkgMenuExtras</name>
    <filename>classNCPkgMenuExtras.html</filename>
  </compound>
  <compound kind="class">
    <name>NCPkgMenuFilter</name>
    <filename>classNCPkgMenuFilter.html</filename>
  </compound>
  <compound kind="class">
    <name>NCPkgMenuHelp</name>
    <filename>classNCPkgMenuHelp.html</filename>
  </compound>
  <compound kind="class">
    <name>NCPkgMenuView</name>
    <filename>classNCPkgMenuView.html</filename>
  </compound>
  <compound kind="class">
    <name>NCPkgPackageDetails</name>
    <filename>classNCPkgPackageDetails.html</filename>
  </compound>
  <compound kind="class">
    <name>NCPkgPatchSearch</name>
    <filename>classNCPkgPatchSearch.html</filename>
  </compound>
  <compound kind="class">
    <name>NCPkgPopupDeps</name>
    <filename>classNCPkgPopupDeps.html</filename>
  </compound>
  <compound kind="class">
    <name>NCPkgPopupDescr</name>
    <filename>classNCPkgPopupDescr.html</filename>
  </compound>
  <compound kind="class">
    <name>NCPkgPopupDiskspace</name>
    <filename>classNCPkgPopupDiskspace.html</filename>
  </compound>
  <compound kind="class">
    <name>NCPkgPopupTable</name>
    <filename>classNCPkgPopupTable.html</filename>
  </compound>
  <compound kind="class">
    <name>NCPkgRepoTable</name>
    <filename>classNCPkgRepoTable.html</filename>
    <member kind="function">
      <type></type>
      <name>NCPkgRepoTable</name>
      <anchorfile>classNCPkgRepoTable.html</anchorfile>
      <anchor>aaa9ae1b7e90cea4823393119f8703a45</anchor>
      <arglist>(YWidget *parent, YTableHeader *tableHeader, NCPackageSelector *pkg)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>addLine</name>
      <anchorfile>classNCPkgRepoTable.html</anchorfile>
      <anchor>a0903a06903fc48037433e9d15943d81d</anchor>
      <arglist>(ZyppRepo r, const std::vector&lt; std::string &gt; &amp;cols)</arglist>
    </member>
    <member kind="function">
      <type>NCPkgRepoTag *</type>
      <name>getTag</name>
      <anchorfile>classNCPkgRepoTable.html</anchorfile>
      <anchor>a0159efa7eb44773ef0ef22361ab9c1ab</anchor>
      <arglist>(const int &amp;index)</arglist>
    </member>
    <member kind="function">
      <type>ZyppRepo</type>
      <name>getRepo</name>
      <anchorfile>classNCPkgRepoTable.html</anchorfile>
      <anchor>a206c83a00bff065958040e521cd63c14</anchor>
      <arglist>(int index)</arglist>
    </member>
    <member kind="function">
      <type>ZyppProduct</type>
      <name>findProductForRepo</name>
      <anchorfile>classNCPkgRepoTable.html</anchorfile>
      <anchor>a55c283d6c6d94f8cfb761e06bc304fe3</anchor>
      <arglist>(ZyppRepo repo)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>fillRepoList</name>
      <anchorfile>classNCPkgRepoTable.html</anchorfile>
      <anchor>a3ccaa782a1a8ecf180ad0b379ff2a154</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>NCPkgRepoTag</name>
    <filename>classNCPkgRepoTag.html</filename>
    <member kind="function">
      <type></type>
      <name>NCPkgRepoTag</name>
      <anchorfile>classNCPkgRepoTag.html</anchorfile>
      <anchor>a9204ffe3c7edc6b917c052d51dc00a0d</anchor>
      <arglist>(ZyppRepo repo)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>NCPkgSearchSettings</name>
    <filename>classNCPkgSearchSettings.html</filename>
  </compound>
  <compound kind="class">
    <name>NCPkgSelMapper</name>
    <filename>classNCPkgSelMapper.html</filename>
    <member kind="function">
      <type></type>
      <name>NCPkgSelMapper</name>
      <anchorfile>classNCPkgSelMapper.html</anchorfile>
      <anchor>a3f0a7c94395859193c3082b937763030</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~NCPkgSelMapper</name>
      <anchorfile>classNCPkgSelMapper.html</anchorfile>
      <anchor>a59c96c38dd4776a7665a6b066d1adb71</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>ZyppSel</type>
      <name>findZyppSel</name>
      <anchorfile>classNCPkgSelMapper.html</anchorfile>
      <anchor>a38399502ccabcc5eb5d414b86d276af8</anchor>
      <arglist>(ZyppPkg pkg)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>rebuildCache</name>
      <anchorfile>classNCPkgSelMapper.html</anchorfile>
      <anchor>a6d7b7906844ae6fba824a4bce982a837</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static int</type>
      <name>refCount</name>
      <anchorfile>classNCPkgSelMapper.html</anchorfile>
      <anchor>ad8fecf468dd726f71ecca16a75099f37</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>NCPkgStatusStrategy</name>
    <filename>classNCPkgStatusStrategy.html</filename>
  </compound>
  <compound kind="class">
    <name>NCPkgStrings</name>
    <filename>classNCPkgStrings.html</filename>
    <member kind="function" static="yes">
      <type>static const std::string</type>
      <name>DiskspaceLabel</name>
      <anchorfile>classNCPkgStrings.html</anchorfile>
      <anchor>a6468426b8f93f9529243383a33050b1d</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static const std::string</type>
      <name>DiskSpaceError</name>
      <anchorfile>classNCPkgStrings.html</anchorfile>
      <anchor>ac57cc8675d2e14de760354cfe91b2297</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static const std::string</type>
      <name>Version</name>
      <anchorfile>classNCPkgStrings.html</anchorfile>
      <anchor>a3e308ae25b2f5bae6944ffccc0a53e1d</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static const std::string</type>
      <name>InstVersion</name>
      <anchorfile>classNCPkgStrings.html</anchorfile>
      <anchor>aee6b182534127a71fc37b5f5fd7edbe1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static const std::string</type>
      <name>License</name>
      <anchorfile>classNCPkgStrings.html</anchorfile>
      <anchor>a055254acd93123ee08a01bba94e6d4bc</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static const std::string</type>
      <name>MediaNo</name>
      <anchorfile>classNCPkgStrings.html</anchorfile>
      <anchor>a727df96812f01d2a2ddab740ddde61f4</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static const std::string</type>
      <name>Size</name>
      <anchorfile>classNCPkgStrings.html</anchorfile>
      <anchor>a7a930c77f2ed69a7b903fb5d15ced41c</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static const std::string</type>
      <name>RpmGroup</name>
      <anchorfile>classNCPkgStrings.html</anchorfile>
      <anchor>ab904a6274b722c15f1b88cafc2a83b69</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static const std::string</type>
      <name>Authors</name>
      <anchorfile>classNCPkgStrings.html</anchorfile>
      <anchor>a8241f3214b24c5d895635152e8b6df63</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static const std::string</type>
      <name>Provides</name>
      <anchorfile>classNCPkgStrings.html</anchorfile>
      <anchor>a9218fa66337a03be4b056082b322aba4</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static const std::string</type>
      <name>Requires</name>
      <anchorfile>classNCPkgStrings.html</anchorfile>
      <anchor>ae7fbd84adddb010f4a9cb7cf3cb2144e</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static const std::string</type>
      <name>PreRequires</name>
      <anchorfile>classNCPkgStrings.html</anchorfile>
      <anchor>a0a03b586bffdececc367e69268ef1507</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static const std::string</type>
      <name>Conflicts</name>
      <anchorfile>classNCPkgStrings.html</anchorfile>
      <anchor>ae7c8eab35a51b2725a78b05c37483806</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static const std::string</type>
      <name>AutoChangeLabel</name>
      <anchorfile>classNCPkgStrings.html</anchorfile>
      <anchor>af09f1174c10c40a608820134b7787bf1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static const std::string</type>
      <name>YouHelp</name>
      <anchorfile>classNCPkgStrings.html</anchorfile>
      <anchor>a3816d724f4ce8795d2e4b93727c0083c</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static const std::string</type>
      <name>YouHelp1</name>
      <anchorfile>classNCPkgStrings.html</anchorfile>
      <anchor>aaf49cf33c5b7e7c74d2bd4beb6290ddb</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static const std::string</type>
      <name>OKLabel</name>
      <anchorfile>classNCPkgStrings.html</anchorfile>
      <anchor>a7e1eea7a1c4fc4a8950f12791dc38061</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static const std::string</type>
      <name>CancelLabel</name>
      <anchorfile>classNCPkgStrings.html</anchorfile>
      <anchor>ab0dfd3f9c23dd901469a027b81d54a59</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static const std::string</type>
      <name>YesLabel</name>
      <anchorfile>classNCPkgStrings.html</anchorfile>
      <anchor>ae07870050b8b2ece3d9cd485604aed02</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static const std::string</type>
      <name>AcceptLabel</name>
      <anchorfile>classNCPkgStrings.html</anchorfile>
      <anchor>a41a73e3b8afd5b4c8c4b847690f4d3b5</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static const std::string</type>
      <name>NoLabel</name>
      <anchorfile>classNCPkgStrings.html</anchorfile>
      <anchor>aedeae55d85516fab8cb3444b2284d27c</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static const std::string</type>
      <name>SolveLabel</name>
      <anchorfile>classNCPkgStrings.html</anchorfile>
      <anchor>ab341133728318d3528349c0faab569a0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static const std::string</type>
      <name>LanguageLabel</name>
      <anchorfile>classNCPkgStrings.html</anchorfile>
      <anchor>ad6dc9c07696d69f54f2c49bca297c82c</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static const std::string</type>
      <name>RepoLabel</name>
      <anchorfile>classNCPkgStrings.html</anchorfile>
      <anchor>af521feec41ca926088cef2ff075932a5</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static const std::string</type>
      <name>YOUPatches</name>
      <anchorfile>classNCPkgStrings.html</anchorfile>
      <anchor>a05136c19915d9ddff0ab1f7f69c6792a</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static const std::string</type>
      <name>SearchResults</name>
      <anchorfile>classNCPkgStrings.html</anchorfile>
      <anchor>a0643a9d4270e3968ec7598d7fcb380fa</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static const std::string</type>
      <name>UpdateProblem</name>
      <anchorfile>classNCPkgStrings.html</anchorfile>
      <anchor>ae2ef0a81d78bee6e6742ffccff5fa3a7</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static const std::string</type>
      <name>PackageDeps</name>
      <anchorfile>classNCPkgStrings.html</anchorfile>
      <anchor>a37ac9c3902b812db679b9ed31a8dbd99</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static const std::string</type>
      <name>Patch</name>
      <anchorfile>classNCPkgStrings.html</anchorfile>
      <anchor>a2fc1b24bc9ea9db95409850cc8d866ed</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static const std::string</type>
      <name>NoPatches</name>
      <anchorfile>classNCPkgStrings.html</anchorfile>
      <anchor>a1b9a959e728c160fa1a594047889d618</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>NCPkgTable</name>
    <filename>classNCPkgTable.html</filename>
    <member kind="function" virtualness="virtual">
      <type>virtual NCursesEvent</type>
      <name>wHandleInput</name>
      <anchorfile>classNCPkgTable.html</anchorfile>
      <anchor>a9e8108ef31236b51c662b763a9238109</anchor>
      <arglist>(wint_t key)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>NCPkgTableSort</name>
    <filename>classNCPkgTableSort.html</filename>
  </compound>
  <compound kind="class">
    <name>NCPkgTableTag</name>
    <filename>classNCPkgTableTag.html</filename>
  </compound>
  <compound kind="class">
    <name>NCPkgWarningRangeNotifier</name>
    <filename>classNCPkgWarningRangeNotifier.html</filename>
    <member kind="function">
      <type></type>
      <name>NCPkgWarningRangeNotifier</name>
      <anchorfile>classNCPkgWarningRangeNotifier.html</anchorfile>
      <anchor>aadc1477029b36f315a0ff1d8fdb47e20</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>enterRange</name>
      <anchorfile>classNCPkgWarningRangeNotifier.html</anchorfile>
      <anchor>a771ecc5c28d4ecb194e571ae8e80924a</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>enterProximity</name>
      <anchorfile>classNCPkgWarningRangeNotifier.html</anchorfile>
      <anchor>a0d03b565320a278f4ebd21949e30c4dd</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>warningPostedNotify</name>
      <anchorfile>classNCPkgWarningRangeNotifier.html</anchorfile>
      <anchor>a7577b4e429acb74a6d593ab423e55264</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>inRange</name>
      <anchorfile>classNCPkgWarningRangeNotifier.html</anchorfile>
      <anchor>ab787c4151e6cfa0ac3498c5829f2f649</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>needWarning</name>
      <anchorfile>classNCPkgWarningRangeNotifier.html</anchorfile>
      <anchor>a5c61d74cda363eeb6872f2e36f9d5754</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>leavingProximity</name>
      <anchorfile>classNCPkgWarningRangeNotifier.html</anchorfile>
      <anchor>a538da39eb3b915b7167552115ab99ba7</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>clear</name>
      <anchorfile>classNCPkgWarningRangeNotifier.html</anchorfile>
      <anchor>aa5e12ecc915f32e5d780ab62154c2e4d</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>clearHistory</name>
      <anchorfile>classNCPkgWarningRangeNotifier.html</anchorfile>
      <anchor>ad0d111ee2f8afc6e6bdc9c9d47dc1fb7</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>NCProblemSelectionBox</name>
    <filename>classNCProblemSelectionBox.html</filename>
  </compound>
  <compound kind="class">
    <name>NCRpmGroupItem</name>
    <filename>classNCRpmGroupItem.html</filename>
  </compound>
  <compound kind="class">
    <name>NCSolutionSelectionBox</name>
    <filename>classNCSolutionSelectionBox.html</filename>
  </compound>
  <compound kind="class">
    <name>PackageStatStrategy</name>
    <filename>classPackageStatStrategy.html</filename>
    <base>NCPkgStatusStrategy</base>
  </compound>
  <compound kind="struct">
    <name>paircmp</name>
    <filename>structpaircmp.html</filename>
  </compound>
  <compound kind="class">
    <name>PatchPkgStatStrategy</name>
    <filename>classPatchPkgStatStrategy.html</filename>
    <base>NCPkgStatusStrategy</base>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>setObjectStatus</name>
      <anchorfile>classPatchPkgStatStrategy.html</anchorfile>
      <anchor>a5076af02cf2690f69051b14c09e99bd4</anchor>
      <arglist>(ZyppStatus newstatus, ZyppSel slbPtr, ZyppObj objPtr)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>PatchStatStrategy</name>
    <filename>classPatchStatStrategy.html</filename>
    <base>NCPkgStatusStrategy</base>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>keyToStatus</name>
      <anchorfile>classPatchStatStrategy.html</anchorfile>
      <anchor>abe83db934db9feb6a8974886d8b0f63b</anchor>
      <arglist>(const int &amp;key, ZyppSel slbPtr, ZyppObj objPtr, ZyppStatus &amp;newStat)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>toggleStatus</name>
      <anchorfile>classPatchStatStrategy.html</anchorfile>
      <anchor>ad3d01709798ea4458daec64f1c229f57</anchor>
      <arglist>(ZyppSel slbPtr, ZyppObj objPtr, ZyppStatus &amp;newStat)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>setObjectStatus</name>
      <anchorfile>classPatchStatStrategy.html</anchorfile>
      <anchor>a537e8bcda043ad5f8fa579d5c92683cc</anchor>
      <arglist>(ZyppStatus newstatus, ZyppSel slbPtr, ZyppObj objPtr)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>SelectionStatStrategy</name>
    <filename>classSelectionStatStrategy.html</filename>
    <base>NCPkgStatusStrategy</base>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>setObjectStatus</name>
      <anchorfile>classSelectionStatStrategy.html</anchorfile>
      <anchor>a6ddbeea26caa91ff904c665be42565e3</anchor>
      <arglist>(ZyppStatus newstatus, ZyppSel slbPtr, ZyppObj objPtr)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>UpdateStatStrategy</name>
    <filename>classUpdateStatStrategy.html</filename>
    <base>NCPkgStatusStrategy</base>
  </compound>
  <compound kind="dir">
    <name>/home/abuild/rpmbuild/BUILD/libyui-ncurses-pkg-2.46.1/src</name>
    <path>/home/abuild/rpmbuild/BUILD/libyui-ncurses-pkg-2.46.1/src/</path>
    <filename>dir_68267d1309a1af8e8297ef4c3efbcdba.html</filename>
    <file>NCPackageSelector.cc</file>
    <file>NCPackageSelector.h</file>
    <file>NCPackageSelectorPluginImpl.cc</file>
    <file>NCPackageSelectorPluginImpl.h</file>
    <file>NCPackageSelectorStart.cc</file>
    <file>NCPackageSelectorStart.h</file>
    <file>NCPkgFilterClassification.cc</file>
    <file>NCPkgFilterClassification.h</file>
    <file>NCPkgFilterInstSummary.cc</file>
    <file>NCPkgFilterInstSummary.h</file>
    <file>NCPkgFilterLocale.cc</file>
    <file>NCPkgFilterLocale.h</file>
    <file>NCPkgFilterMain.cc</file>
    <file>NCPkgFilterMain.h</file>
    <file>NCPkgFilterPattern.cc</file>
    <file>NCPkgFilterPattern.h</file>
    <file>NCPkgFilterRepo.cc</file>
    <file>NCPkgFilterRepo.h</file>
    <file>NCPkgFilterRPMGroups.cc</file>
    <file>NCPkgFilterRPMGroups.h</file>
    <file>NCPkgFilterSearch.cc</file>
    <file>NCPkgFilterSearch.h</file>
    <file>NCPkgMenuAction.cc</file>
    <file>NCPkgMenuAction.h</file>
    <file>NCPkgMenuConfig.cc</file>
    <file>NCPkgMenuConfig.h</file>
    <file>NCPkgMenuDeps.cc</file>
    <file>NCPkgMenuDeps.h</file>
    <file>NCPkgMenuExtras.cc</file>
    <file>NCPkgMenuExtras.h</file>
    <file>NCPkgMenuFilter.cc</file>
    <file>NCPkgMenuFilter.h</file>
    <file>NCPkgMenuHelp.cc</file>
    <file>NCPkgMenuHelp.h</file>
    <file>NCPkgMenuView.cc</file>
    <file>NCPkgMenuView.h</file>
    <file>NCPkgPackageDetails.cc</file>
    <file>NCPkgPackageDetails.h</file>
    <file>NCPkgPatchSearch.cc</file>
    <file>NCPkgPatchSearch.h</file>
    <file>NCPkgPopupDeps.cc</file>
    <file>NCPkgPopupDeps.h</file>
    <file>NCPkgPopupDescr.cc</file>
    <file>NCPkgPopupDescr.h</file>
    <file>NCPkgPopupDiskspace.cc</file>
    <file>NCPkgPopupDiskspace.h</file>
    <file>NCPkgPopupTable.cc</file>
    <file>NCPkgPopupTable.h</file>
    <file>NCPkgSearchSettings.cc</file>
    <file>NCPkgSearchSettings.h</file>
    <file>NCPkgSelMapper.cc</file>
    <file>NCPkgSelMapper.h</file>
    <file>NCPkgStatusStrategy.cc</file>
    <file>NCPkgStatusStrategy.h</file>
    <file>NCPkgStrings.cc</file>
    <file>NCPkgStrings.h</file>
    <file>NCPkgTable.cc</file>
    <file>NCPkgTable.h</file>
    <file>NCZypp.h</file>
  </compound>
</tagfile>
